Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.linuxsampler.lscp
Enum MidiInstrumentInfo.LoadMode

    java.lang.Object
      java.lang.Enum<MidiInstrumentInfo.LoadMode>
          org.linuxsampler.lscp.MidiInstrumentInfo.LoadMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MidiInstrumentInfo.LoadMode>

Enclosing class:
  MidiInstrumentInfo

    public static enum MidiInstrumentInfo.LoadMode

extends java.lang.Enum<MidiInstrumentInfo.LoadMode>

Enum Constant Summary
`DEFAULT` It will be up to the InstrumentManager to decide which mode to use.
`ON_DEMAND` The instrument will be loaded when when demanded by at least one sampler channel.
`ON_DEMAND_HOLD` Same as `ON_DEMAND` with the difference that the instrument will be kept in memory even when not needed by any sampler channel.
`PERSISTENT` The instrument will be immediately loaded into memory and the instrument will be kept all the time.

Method Summary
`java.lang.String` | `toString()`
`static MidiInstrumentInfo.LoadMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MidiInstrumentInfo.LoadMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final MidiInstrumentInfo.LoadMode DEFAULT

  It will be up to the InstrumentManager to decide which mode to use.

### ON_DEMAND

    public static final MidiInstrumentInfo.LoadMode ON_DEMAND

  The instrument will be loaded when when demanded by at least one sampler channel. It will immediately be freed from memory when not needed by any sampler channel anymore.

### ON_DEMAND_HOLD

    public static final MidiInstrumentInfo.LoadMode ON_DEMAND_HOLD

  Same as `ON_DEMAND` with the difference that the instrument will be kept in memory even when not needed by any sampler channel.

### PERSISTENT

    public static final MidiInstrumentInfo.LoadMode PERSISTENT

  The instrument will be immediately loaded into memory and the instrument will be kept all the time.

Method Detail

### values

    public static MidiInstrumentInfo.LoadMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MidiInstrumentInfo.LoadMode c : MidiInstrumentInfo.LoadMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MidiInstrumentInfo.LoadMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<MidiInstrumentInfo.LoadMode>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.